Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.genetics
Interface SelectionPolicy

All Known Implementing Classes:
  TournamentSelection

    public interface SelectionPolicy

Algorithm used to select a chromosome pair from a population.

Since:
  2.0
Version:
  $Revision: 811685 $ $Date: 2009-09-05 19:36:48 +0200 (sam. 05 sept. 2009) $

Method Summary
`ChromosomePair` | `select(Population population)` Select two chromosomes from the population.

Method Detail

### select

    ChromosomePair select(Population population)

  Select two chromosomes from the population.

  Parameters:
    `population` - the population from which the chromosomes are choosen.
  Returns:
    the selected chromosomes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation